using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.FO
{
    [Description("现任技术职务表")]
    public class T_FO_TECH_POST : MesEntityBase
    {
        [Description("名称")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public string NAME { get; set; }

        [Description("专业类别")]
        [DataFieldForeignKey("Nav_Category")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public Guid? PROFESSIONAL_CATEGORY_ID { get; set; }


        [Description("导航属性：专业类别")]
        public T_FO_PROFESSIONAL_CATEGORY Nav_Category { get; set; }
    }
}
